Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Theodor Thornhill <[email-masked]>
Date: Sat, 06 Jun 2020 13:37:07 +0000

> Could you elaborate?

Actually, I think I’ll withdraw the over engineering tendency of mine here and rather refine:

I believe it is appropriate to view project.el to have two different focuses here: one for the general idea and one minor mode (overloaded term, I know...) for vc.

To help the out of the box experience with the project-vc I think either:

- adding common patterns to project-vc-ignores instead of nil, to accommodate for improperly configured .gitignore

- simply adding documentation emphasizing project-vcs reliance on .gitignore

As such it could be neither project nor project-vc responsibility to add the plain version.

Will project.el be split at some point? I mean moving vc things to vc.
I for one (maybe only one) find the scope of project.el a bit confusing

Theo